Bug 273323 - nspluginviewer crashes with flash-plugin 10.3
Summary: nspluginviewer crashes with flash-plugin 10.3
Status: RESOLVED FIXED
Alias: None
Product: konqueror
Classification: Applications
Component: nspluginviewer (show other bugs)
Version: unspecified
Platform: OpenSUSE Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Konqueror Developers
URL:
Keywords:
: 273564 273650 273800 273984 273998 274319 274649 274658 274686 275545 275580 275581 275763 275785 276966 277052 277172 277346 278361 279599 280002 280066 280278 280907 280919 280977 281226 282503 286002 (view as bug list)
Depends on:
Blocks:
 
Reported: 2011-05-15 09:40 UTC by Joachim Mairböck
Modified: 2012-08-03 08:51 UTC (History)
36 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.6.5


Attachments
New crash information added by DrKonqi (8.65 KB, text/plain)
2011-05-26 06:44 UTC, Fredy Molina
Details
New crash information added by DrKonqi (9.00 KB, text/plain)
2011-06-11 16:34 UTC, Joachim Mairböck
Details
New crash information added by DrKonqi (12.04 KB, text/plain)
2011-09-23 10:44 UTC, underdog
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Joachim Mairböck 2011-05-15 09:40:06 UTC
Application: nspluginviewer ()
KDE Platform Version: 4.6.3 (4.6.3)
Qt Version: 4.7.3
Operating System: Linux 2.6.37.6-0.5-pae i686
Distribution: "openSUSE 11.4 (i586)"

-- Information about the crash:
With the latest security update, the proprietary flash plugin (now at version 10.3.181.14) makes nspluginviewer crash very frequently.

This is always reproducable for YouTube at least, where at first the video comes up for a second but then reloads the plugin again. This was also done before, but it used to work before the flash update and now it crashes.

I am not sure whether you can do something about it, but I wanted to report it anyway, in case you can workaround the problem.

The crash can be reproduced every time.

-- Backtrace:
Application: Betrachter für Netscape-Module (nspluginviewer), signal: Segmentation fault
[Current thread is 1 (Thread 0xb5063b50 (LWP 8701))]

Thread 6 (Thread 0xb10d4b70 (LWP 8705)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb56e9105 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb5d34aec in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xb1e90087 in ?? () from /usr/lib/browser-plugins/libflashplayer.so
#4  0xb1fa26b5 in ?? () from /usr/lib/browser-plugins/libflashplayer.so
#5  0xb1e9018d in ?? () from /usr/lib/browser-plugins/libflashplayer.so
#6  0xb1e90816 in ?? () from /usr/lib/browser-plugins/libflashplayer.so
#7  0xb56e4b05 in start_thread () from /lib/libpthread.so.0
#8  0xb5d26d5e in clone () from /lib/libc.so.6

Thread 5 (Thread 0xaf0d3b70 (LWP 8706)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb56e9105 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb5d34aec in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xb1e90087 in ?? () from /usr/lib/browser-plugins/libflashplayer.so
#4  0xb1fa26b5 in ?? () from /usr/lib/browser-plugins/libflashplayer.so
#5  0xb1e9018d in ?? () from /usr/lib/browser-plugins/libflashplayer.so
#6  0xb1e90816 in ?? () from /usr/lib/browser-plugins/libflashplayer.so
#7  0xb56e4b05 in start_thread () from /lib/libpthread.so.0
#8  0xb5d26d5e in clone () from /lib/libc.so.6

Thread 4 (Thread 0xac78cb70 (LWP 8710)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb56e9432 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb5d34b44 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xb5f1600c in wait (this=0x828d75c, mutex=0x828d758, time=30000) at thread/qwaitcondition_unix.cpp:86
#4  QWaitCondition::wait (this=0x828d75c, mutex=0x828d758, time=30000) at thread/qwaitcondition_unix.cpp:160
#5  0xb5f09e44 in QThreadPoolThread::run (this=0x828d8a8) at concurrent/qthreadpool.cpp:140
#6  0xb5f15993 in QThreadPrivate::start (arg=0x828d8a8) at thread/qthread_unix.cpp:320
#7  0xb56e4b05 in start_thread () from /lib/libpthread.so.0
#8  0xb5d26d5e in clone () from /lib/libc.so.6

Thread 3 (Thread 0xaa53ab70 (LWP 8712)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb56e9432 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb5d34b44 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xb1e90059 in ?? () from /usr/lib/browser-plugins/libflashplayer.so
#4  0xb1eb8493 in ?? () from /usr/lib/browser-plugins/libflashplayer.so
#5  0xb1e9018d in ?? () from /usr/lib/browser-plugins/libflashplayer.so
#6  0xb1e90816 in ?? () from /usr/lib/browser-plugins/libflashplayer.so
#7  0xb56e4b05 in start_thread () from /lib/libpthread.so.0
#8  0xb5d26d5e in clone () from /lib/libc.so.6

Thread 2 (Thread 0xa7f1db70 (LWP 8713)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb56e9432 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb5d34b44 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xb1e90612 in ?? () from /usr/lib/browser-plugins/libflashplayer.so
#4  0xb23001e6 in ?? () from /usr/lib/browser-plugins/libflashplayer.so
#5  0xb1e9018d in ?? () from /usr/lib/browser-plugins/libflashplayer.so
#6  0xb1e90816 in ?? () from /usr/lib/browser-plugins/libflashplayer.so
#7  0xb56e4b05 in start_thread () from /lib/libpthread.so.0
#8  0xb5d26d5e in clone () from /lib/libc.so.6

Thread 1 (Thread 0xb5063b50 (LWP 8701)):
[KCrash Handler]
#7  0xb20268ab in ?? () from /usr/lib/browser-plugins/libflashplayer.so
#8  0xb21577f7 in ?? () from /usr/lib/browser-plugins/libflashplayer.so
#9  0xb1e7885c in ?? () from /usr/lib/browser-plugins/libflashplayer.so
#10 0xb1e7f20a in ?? () from /usr/lib/browser-plugins/libflashplayer.so
#11 0x0805239d in NSPluginInstance::NPNewStream (this=0x8267128, type=0x83300c2 "v", stream=0x8370ba8, seekable=0 '\000', stype=0x829629c) at /usr/src/debug/kdebase-4.6.3/nsplugins/viewer/nsplugin.cpp:1210
#12 0x08054815 in NSPluginStreamBase::inform (this=0x8296290) at /usr/src/debug/kdebase-4.6.3/nsplugins/viewer/nsplugin.cpp:1629
#13 0x08054ecb in NSPluginStreamBase::pump (this=0x8296290) at /usr/src/debug/kdebase-4.6.3/nsplugins/viewer/nsplugin.cpp:1745
#14 0x08054fa0 in NSPluginStream::data (this=0x8296290, data=...) at /usr/src/debug/kdebase-4.6.3/nsplugins/viewer/nsplugin.cpp:1966
#15 0x080552ac in NSPluginStream::qt_metacall (this=0x8296290, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0xbf88f934) at /usr/src/debug/kdebase-4.6.3/build/nsplugins/viewer/nsplugin.moc:149
#16 0xb601907d in QMetaObject::metacall (object=0x8296290, cl=QMetaObject::InvokeMetaMethod, idx=5, argv=0xbf88f934) at kernel/qmetaobject.cpp:237
#17 0xb60284cc in QMetaObject::activate (sender=0x8272bc8, m=0xb754225c, local_signal_index=0, argv=0xbf88f934) at kernel/qobject.cpp:3278
#18 0xb736c13d in KIO::TransferJob::data (this=0x8272bc8, _t1=0x8272bc8, _t2=...) at /usr/src/debug/kdelibs-4.6.3/build/kio/jobclasses.moc:388
#19 0xb736c1ae in KIO::TransferJob::slotData (this=0x8272bc8, _data=...) at /usr/src/debug/kdelibs-4.6.3/kio/kio/job.cpp:1005
#20 0xb74673e3 in KIO::TransferJob::qt_metacall (this=0x8272bc8, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0xbf88fad8) at /usr/src/debug/kdelibs-4.6.3/build/kio/jobclasses.moc:368
#21 0xb601907d in QMetaObject::metacall (object=0x8272bc8, cl=QMetaObject::InvokeMetaMethod, idx=48, argv=0xbf88fad8) at kernel/qmetaobject.cpp:237
#22 0xb60284cc in QMetaObject::activate (sender=0x827cb30, m=0xb754254c, local_signal_index=0, argv=0xbf88fad8) at kernel/qobject.cpp:3278
#23 0xb737fed5 in KIO::SlaveInterface::data (this=0x827cb30, _t1=...) at /usr/src/debug/kdelibs-4.6.3/build/kio/slaveinterface.moc:146
#24 0xb74a2028 in KIO::SlaveInterface::dispatch (this=0x827cb30, _cmd=100, rawdata=...) at /usr/src/debug/kdelibs-4.6.3/kio/kio/slaveinterface.cpp:161
#25 0xb7438d0a in KIO::SlaveInterface::dispatch (this=0x827cb30) at /usr/src/debug/kdelibs-4.6.3/kio/kio/slaveinterface.cpp:89
#26 0xb7437cb8 in KIO::Slave::gotInput (this=0x827cb30) at /usr/src/debug/kdelibs-4.6.3/kio/kio/slave.cpp:348
#27 0xb743d51c in KIO::Slave::qt_metacall (this=0x827cb30, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0xbf88fdbc) at /usr/src/debug/kdelibs-4.6.3/build/kio/slave.moc:82
#28 0xb601907d in QMetaObject::metacall (object=0x827cb30, cl=QMetaObject::InvokeMetaMethod, idx=30, argv=0xbf88fdbc) at kernel/qmetaobject.cpp:237
#29 0xb60284cc in QMetaObject::activate (sender=0x82641a0, m=0xb754214c, local_signal_index=0, argv=0x0) at kernel/qobject.cpp:3278
#30 0xb7362e65 in KIO::Connection::readyRead (this=0x82641a0) at /usr/src/debug/kdelibs-4.6.3/build/kio/connection.moc:92
#31 0xb743d28a in KIO::ConnectionPrivate::dequeue (this=0x81d9398) at /usr/src/debug/kdelibs-4.6.3/kio/kio/connection.cpp:82
#32 0xb743d35f in KIO::Connection::qt_metacall (this=0x82641a0, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x83349f8) at /usr/src/debug/kdelibs-4.6.3/build/kio/connection.moc:79
#33 0xb601907d in QMetaObject::metacall (object=0x82641a0, cl=QMetaObject::InvokeMetaMethod, idx=5, argv=0x83349f8) at kernel/qmetaobject.cpp:237
#34 0xb6023b55 in QMetaCallEvent::placeMetaCall (this=0x832e8b8, object=0x82641a0) at kernel/qobject.cpp:535
#35 0xb6027dbf in QObject::event (this=0x82641a0, e=0x832e8b8) at kernel/qobject.cpp:1217
#36 0xb6537684 in QApplicationPrivate::notify_helper (this=0x80b1028, receiver=0x82641a0, e=0x832e8b8) at kernel/qapplication.cpp:4462
#37 0xb6540427 in QApplication::notify (this=0xbf8907a8, receiver=0x82641a0, e=0x832e8b8) at kernel/qapplication.cpp:3862
#38 0xb6fea901 in KApplication::notify (this=0xbf8907a8, receiver=0x82641a0, event=0x832e8b8) at /usr/src/debug/kdelibs-4.6.3/kdeui/kernel/kapplication.cpp:311
#39 0xb601278e in QCoreApplication::notifyInternal (this=0xbf8907a8, receiver=0x82641a0, event=0x832e8b8) at kernel/qcoreapplication.cpp:731
#40 0xb601651c in sendEvent (receiver=0x0, event_type=0, data=0x8073428) at kernel/qcoreapplication.h:215
#41 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x8073428) at kernel/qcoreapplication.cpp:1372
#42 0xb601666c in QCoreApplication::sendPostedEvents (receiver=0x0, event_type=0) at kernel/qcoreapplication.cpp:1265
#43 0xb6040df4 in sendPostedEvents (s=0x8090678) at kernel/qcoreapplication.h:220
#44 postEventSourceDispatch (s=0x8090678) at kernel/qeventdispatcher_glib.cpp:277
#45 0xb7591509 in g_main_dispatch (context=0x80b2900) at gmain.c:2440
#46 g_main_context_dispatch (context=0x80b2900) at gmain.c:3013
#47 0xb7591d10 in g_main_context_iterate (context=0x80b2900, block=1, dispatch=1, self=0x80b1270) at gmain.c:3091
#48 0xb7591fce in g_main_context_iteration (context=0x80b2900, may_block=1) at gmain.c:3154
#49 0xb6040f7b in QEventDispatcherGlib::processEvents (this=0x8076e48, flags=...) at kernel/qeventdispatcher_glib.cpp:422
#50 0xb65ee1da in QGuiEventDispatcherGlib::processEvents (this=0x8076e48, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#51 0xb6011a6d in QEventLoop::processEvents (this=0xbf890614, flags=...) at kernel/qeventloop.cpp:149
#52 0xb6011c99 in QEventLoop::exec (this=0xbf890614, flags=...) at kernel/qeventloop.cpp:201
#53 0xb6016740 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1008
#54 0xb65353d4 in QApplication::exec () at kernel/qapplication.cpp:3736
#55 0x0805c09a in main (argc=6, argv=0x8296290) at /usr/src/debug/kdebase-4.6.3/nsplugins/viewer/viewer.cpp:144

Possible duplicates by query: bug 271458, bug 269494, bug 268393, bug 266513, bug 265632.

Reported using DrKonqi
Comment 1 Joachim Mairböck 2011-05-15 09:44:00 UTC
OK, with the webkit part YouTube works, but not with KHTML.
Comment 2 Texstar 2011-05-16 21:03:47 UTC
Switching to webkit also works for me but khtml and Flash 10.3 are a no go at this time. 



P.S. Willing to test khtml patches against KDE 4.6.3.
Comment 3 Maksim Orlovich 2011-05-17 14:50:14 UTC
Git commit b7e487550a29b35072e24adaf4df6eb48264129d by Maks Orlovich.
Committed on 17/05/2011 at 14:49.
Pushed by orlovich into branch 'master'.

Implement the headers feature to make Flash 10.3 not crash.
(Whatever happens to checking ABI versions, anyway?)

BUG: 273323

M  +5    -3    nsplugins/viewer/nsplugin.cpp     
M  +1    -0    nsplugins/viewer/nsplugin.h     

http://commits.kde.org/kde-baseapps/b7e487550a29b35072e24adaf4df6eb48264129d
Comment 4 Texstar 2011-05-17 15:21:21 UTC
FYI - this patches clean against KDE 4.6.3 but kdebase package fails to build with the following error:

[ 50%] /usr/src/rpm/BUILD/kdebase-4.6.3/nsplugins/viewer/nsplugin.cpp:1702:2: warning: #warning added a const_cast

/usr/src/rpm/BUILD/kdebase-4.6.3/nsplugins/viewer/nsplugin.cpp: In function ‘NPError g_NPN_GetValue(NPP_t*, NPNVariable, void*)’:

/usr/src/rpm/BUILD/kdebase-4.6.3/nsplugins/viewer/nsplugin.cpp:220:7: warning: case value ‘13’ not in enumerated type ‘NPNVariable’

/usr/src/rpm/BUILD/kdebase-4.6.3/nsplugins/viewer/nsplugin.cpp: In member function ‘bool NSPluginStreamBase::create(const QString&, const QString&, void*, bool)’:

/usr/src/rpm/BUILD/kdebase-4.6.3/nsplugins/viewer/nsplugin.cpp:1684:14: error: ‘struct NPStream’ has no member named ‘headers’

/usr/src/rpm/BUILD/kdebase-4.6.3/nsplugins/viewer/nsplugin.cpp: In member function ‘void NSPluginStream::mimetype(KIO::Job*, const QString&)’:

/usr/src/rpm/BUILD/kdebase-4.6.3/nsplugins/viewer/nsplugin.cpp:1992:14: error: ‘struct NPStream’ has no member named ‘headers’

make[2]: *** [nsplugins/viewer/CMakeFiles/nspluginviewer.dir/nsplugin.o] Error 1
make[2]: *** Waiting for unfinished jobs...
Comment 5 Texstar 2011-05-17 15:54:55 UTC
Ok I needed the previous commit (Update to latest gecko plugin sdk headers) in addition to the one above. Now kdebase package compiles clean and flash 10.3 works in Konqueror khtml. Thank you for looking at this and for the fix.
Comment 6 Joachim Mairböck 2011-05-17 15:56:36 UTC
so will this get backported to KDE 4.6.4?
Comment 7 Maksim Orlovich 2011-05-18 17:19:52 UTC
*** Bug 273564 has been marked as a duplicate of this bug. ***
Comment 8 Tommi Tervo 2011-05-19 16:36:36 UTC
*** Bug 273650 has been marked as a duplicate of this bug. ***
Comment 9 Andrea Iacovitti 2011-05-21 23:37:29 UTC
*** Bug 273800 has been marked as a duplicate of this bug. ***
Comment 10 Gérard Talbot (no longer involved) 2011-05-22 05:45:22 UTC
Will this patch be backported into KDE 4.6.4? or into KDE 4.7?

Please, can someone just fill the info in "Version Fixed In: "?

best regards, Gérard
Comment 11 Kontumaz 2011-05-22 17:24:07 UTC
my system is kde 10.04 LTS
Comment 12 Tommi Tervo 2011-05-23 20:59:45 UTC
*** Bug 273984 has been marked as a duplicate of this bug. ***
Comment 13 Tommi Tervo 2011-05-24 07:23:29 UTC
*** Bug 273998 has been marked as a duplicate of this bug. ***
Comment 14 Fredy Molina 2011-05-26 06:44:48 UTC
Created attachment 60341 [details]
New crash information added by DrKonqi

No se pueden ver videos dentro de konqueror
Comment 15 Tommi Tervo 2011-05-28 08:59:47 UTC
*** Bug 274319 has been marked as a duplicate of this bug. ***
Comment 16 Maksim Orlovich 2011-05-28 16:20:50 UTC
Git commit 8fd403bdf3b996a615e9bb527bfae3564d218bc9 by Maks Orlovich.
Committed on 17/05/2011 at 14:49.
Pushed by orlovich into branch 'KDE/4.6'.

Implement the headers feature to make Flash 10.3 not crash.
(Whatever happens to checking ABI versions, anyway?)

BUG: 273323

M  +5    -3    nsplugins/viewer/nsplugin.cpp     
M  +1    -0    nsplugins/viewer/nsplugin.h     

http://commits.kde.org/kde-baseapps/8fd403bdf3b996a615e9bb527bfae3564d218bc9
Comment 17 Joachim Mairböck 2011-06-11 16:34:21 UTC
Created attachment 60898 [details]
New crash information added by DrKonqi

nspluginviewer () on KDE Platform 4.6.4 (4.6.4) using Qt 4.7.3

- What I was doing when the application crashed:
I just updated to KDE 4.6.4 and nspluginviewer still crashes.

-- Backtrace (Reduced):
#11 0x0805239d in NSPluginInstance::NPNewStream (this=0x81dd110, type=0x82752a2 "v", stream=0x835c2b0, seekable=0 '\000', stype=0x825df9c) at /usr/src/debug/kdebase-4.6.4/nsplugins/viewer/nsplugin.cpp:1210
#12 0x08054815 in NSPluginStreamBase::inform (this=0x825df90) at /usr/src/debug/kdebase-4.6.4/nsplugins/viewer/nsplugin.cpp:1629
#13 0x08054ecb in NSPluginStreamBase::pump (this=0x825df90) at /usr/src/debug/kdebase-4.6.4/nsplugins/viewer/nsplugin.cpp:1745
#14 0x08054fa0 in NSPluginStream::data (this=0x825df90, data=...) at /usr/src/debug/kdebase-4.6.4/nsplugins/viewer/nsplugin.cpp:1966
#15 0x080552ac in NSPluginStream::qt_metacall (this=0x825df90, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0xbfe1c584) at /usr/src/debug/kdebase-4.6.4/build/nsplugins/viewer/nsplugin.moc:149
Comment 18 Jari Laamanen 2011-06-11 17:32:47 UTC
Here it crashes also (kubuntu, upgraded to 4.6.4 yesterday) when using konqueror.

Application: nspluginviewer (nspluginviewer), signal: Segmentation fault
[Current thread is 1 (Thread 0xb78a9710 (LWP 4901))]

The bug seems to be still present.

flashplugin-installer:  10.3.181.22ubuntu0.11.04.1
Comment 19 Maksim Orlovich 2011-06-12 16:33:16 UTC
Well, that's interesting --- the 4.6.4 tarball plain doesn't include the fix.
Comment 20 Texstar 2011-06-12 16:46:59 UTC
Nope. It does not include the

ID: 12bbb3bf76bc3d12d8a08e347216b88274007f17
Added by Maks Orlovich 26 days ago

Update to latest gecko plugin sdk headers.

and 

ID: b7e487550a29b35072e24adaf4df6eb48264129d
Added by Maks Orlovich 26 days ago

which is needed to fix flash. 

On a side note, these fixes prevent twitter user pages to display.
Comment 21 Maksim Orlovich 2011-06-12 17:14:00 UTC
Twitter looks fine for me... any chance d22393aecc062ef4ab8bc9692911a4ec828f7007 (in kdelibs) is missing as well..?
Comment 22 Texstar 2011-06-12 18:11:39 UTC
You are correct. It works with 4.6.4 and the two patches above. It wasn't working with 4.6.3 with the two patches.
Comment 23 Tommi Tervo 2011-06-15 22:29:00 UTC
*** Bug 275580 has been marked as a duplicate of this bug. ***
Comment 24 Tommi Tervo 2011-06-15 22:29:27 UTC
*** Bug 274649 has been marked as a duplicate of this bug. ***
Comment 25 Tommi Tervo 2011-06-15 22:29:48 UTC
*** Bug 274658 has been marked as a duplicate of this bug. ***
Comment 26 Tommi Tervo 2011-06-15 22:30:07 UTC
*** Bug 274686 has been marked as a duplicate of this bug. ***
Comment 27 Tommi Tervo 2011-06-15 22:30:24 UTC
*** Bug 275545 has been marked as a duplicate of this bug. ***
Comment 28 Tommi Tervo 2011-06-15 22:30:57 UTC
*** Bug 275581 has been marked as a duplicate of this bug. ***
Comment 29 Tommi Tervo 2011-06-15 22:31:14 UTC
*** Bug 275763 has been marked as a duplicate of this bug. ***
Comment 30 Tommi Tervo 2011-06-16 08:24:23 UTC
*** Bug 275785 has been marked as a duplicate of this bug. ***
Comment 31 Gérard Talbot (no longer involved) 2011-06-16 20:26:51 UTC
FYI
the latest Flash Player version information table (Platform and Browser)
http://www.adobe.com/software/flash/about/
does not list Konqueror at all.

--------

Today, I just installed
flashplugin-installer:  10.3.181.26ubuntu0.11.04.1
via KPackageKit.

KDE Platform Version: 4.6.4
Konqueror version: 4.6.4
Qt Version: 4.7.2
Operating System: Linux 2.6.38-10-generic-pae i686
Distribution: Kubuntu 11.04

I went to YouTube, tried to view a 30 sec. video
http://www.youtube.com/watch?v=HhDWN1uXdyg&feature=topvideos_sports
and it did not play, the video did not display. But no crash. The "stop" button was red, activable; the white K in the blue square on the right (K throbber) was running, moving. It seems that the load event of the video was not fired.

I tried with another Flash-based video 
(it had mimeType application/x-shockwave-flash )
and the video did not play. But no crash.

Some Flash-based websites will display "Klash: Stop Playing" in the Konqueror status bar and will not display the flash content ( with mimeType application/x-shockwave-flash ).

regards, Gérard
Comment 32 Gérard Talbot (no longer involved) 2011-06-16 20:35:35 UTC
http://www.adobe.com/software/flash/about/

is actually a good webpage/url to test with also. The code of the page is reliable for testing and I do see "Klash: Stop Playing" in the status bar (bottommost and leftmost part of application) of Konqueror 4.6.4.

Gérard
Comment 33 Gérard Talbot (no longer involved) 2011-06-16 21:06:50 UTC
Adobe Flash Player Bug and Issue Management System (Browseable without registration)
https://bugs.adobe.com/jira/secure/IssueNavigator.jspa

There are some bugs filed with KDE and Konqueror.

Gérard
Comment 34 Andrea Iacovitti 2011-06-16 22:41:54 UTC
(In reply to comment #32)
> http://www.adobe.com/software/flash/about/
> 
> is actually a good webpage/url to test with also. The code of the page is
> reliable for testing and I do see "Klash: Stop Playing" in the status bar
> (bottommost and leftmost part of application) of Konqueror 4.6.4.
> 
> Gérard

You are probably using the free flash player (based on GNU Gnash) "klash"
and not the one from adobe through nspluginviewer, see:
http://packages.ubuntu.com/search?keywords=klash
Comment 35 Gérard Talbot (no longer involved) 2011-06-18 06:00:14 UTC
Andrea,

Thank you for your feedback. I appreciate this. Yes, you are correct; the adobe plugin is not active on my system.

I must have installed GNU Gnash, possibly to try to work around this bug, and then forgot about it later.

Gérard
Comment 36 Tommi Tervo 2011-07-03 12:42:59 UTC
*** Bug 276966 has been marked as a duplicate of this bug. ***
Comment 37 Tommi Tervo 2011-07-04 09:48:10 UTC
*** Bug 277052 has been marked as a duplicate of this bug. ***
Comment 38 Robert Harvey 2011-07-05 06:48:38 UTC
All these duplicates and still unconfirmed?

A whiff of the  Marie Celeste, methinks.

Go on someone, paste "http://www.bbc.co.uk/iplayer/radio/bbc_radio_five_live/listenlive" into the address bar and confirm it!
Comment 39 Tommi Tervo 2011-07-05 07:23:39 UTC
This bug is fixed but we had an error KDE 4.6.4 packages (fix was not included). So please do not reopen this bug. Upcoming releases KDE 4.6.5 and 4.7 should have this fix.
Comment 40 Tommi Tervo 2011-07-06 07:53:12 UTC
*** Bug 277172 has been marked as a duplicate of this bug. ***
Comment 41 Tommi Tervo 2011-07-08 08:16:42 UTC
*** Bug 277346 has been marked as a duplicate of this bug. ***
Comment 42 Tommi Tervo 2011-07-23 20:49:46 UTC
*** Bug 278361 has been marked as a duplicate of this bug. ***
Comment 43 Andrea Iacovitti 2011-08-08 00:21:27 UTC
*** Bug 279599 has been marked as a duplicate of this bug. ***
Comment 44 Tommi Tervo 2011-08-13 06:13:25 UTC
*** Bug 280002 has been marked as a duplicate of this bug. ***
Comment 45 Andrea Iacovitti 2011-08-14 11:56:04 UTC
*** Bug 280066 has been marked as a duplicate of this bug. ***
Comment 46 Andrea Iacovitti 2011-08-28 08:04:43 UTC
*** Bug 280907 has been marked as a duplicate of this bug. ***
Comment 47 Christoph Feck 2011-08-29 10:09:58 UTC
*** Bug 280977 has been marked as a duplicate of this bug. ***
Comment 48 Christoph Feck 2011-08-29 10:10:16 UTC
*** Bug 280919 has been marked as a duplicate of this bug. ***
Comment 49 Christoph Feck 2011-08-29 10:10:41 UTC
*** Bug 280278 has been marked as a duplicate of this bug. ***
Comment 50 Tommi Tervo 2011-09-22 16:58:50 UTC
*** Bug 282503 has been marked as a duplicate of this bug. ***
Comment 51 Tommi Tervo 2011-09-22 16:59:07 UTC
*** Bug 281226 has been marked as a duplicate of this bug. ***
Comment 52 underdog 2011-09-23 10:44:34 UTC
Created attachment 63887 [details]
New crash information added by DrKonqi

nspluginviewer () on KDE Platform 4.6.2 (4.6.2) using Qt 4.7.2

- What I was doing when the application crashed:

trying to view youtube videos...konqueror didn't use gnash(doesn't support flash 10+) but tried to use the adobe player

-- Backtrace (Reduced):
#11 0x08051aa5 in NSPluginInstance::NPNewStream (this=0x9156d48, type=0xaa931d4a "t", stream=0x92321c0, seekable=0 '\000', stype=0x922b99c) at ../../../nsplugins/viewer/nsplugin.cpp:1210
#12 0x08053eb7 in NSPluginStreamBase::inform (this=0x922b990) at ../../../nsplugins/viewer/nsplugin.cpp:1629
#13 0x08053ae5 in NSPluginStreamBase::finish (this=0x922b990, err=true) at ../../../nsplugins/viewer/nsplugin.cpp:1803
#14 0x08054884 in NSPluginStream::qt_metacall (this=0x922b990, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0xbf802be8) at ./nsplugin.moc:152
[...]
#17 0x01b3fe93 in KJob::result (this=0x979fa88, _t1=0x979fa88) at ./kjob.moc:194
Comment 53 Christoph Feck 2011-11-07 15:20:05 UTC
*** Bug 286002 has been marked as a duplicate of this bug. ***